
CoCoA-5 - Bug #1261

ASCII function

25 Mar 2019 13:54 - John Abbott

Status: Closed Start date: 25 Mar 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: bug Estimated time: 0.55 hour

Target version: CoCoA-5.3.0 Spent time: 0.55 hour

Description

The ascii function returns negative values for characters with code greater than 127.

I think it is better for non-negative ASCII values to be produced, because I believe this is less of a "nasty surprise".  The CoCoA-5

manual says nothing.

History

#1 - 25 Mar 2019 13:57 - John Abbott

- Category set to bug

- Status changed from New to In Progress

- Assignee set to John Abbott

- Target version set to CoCoA-5.3.0

- % Done changed from 0 to 30

I have fixed the code in my local copy (BuiltinFunctions.C) so that it uses unsigned char instead of char.  Now the values produced are

non-negative, and all CoCoA-5 tests pass.

NOTE new version of BuiltinFunctions.C sent to Anna for checking in.

#2 - 27 Aug 2019 11:05 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 30 to 90

No reaction in the last 5 months; did Anna test the code (and check it in)?

Moving to feedback.

#3 - 10 Oct 2019 17:35 - John Abbott

- Status changed from Feedback to Closed

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.2

- % Done changed from 90 to 100

- Estimated time set to 0.55 h

Still no reaction.  Anyway, there is a test in exbugs.cocoa5.   So we can close.

#4 - 10 Oct 2019 19:30 - Anna Maria Bigatti

- Target version changed from CoCoA-5.4.2 to CoCoA-5.3.0
